<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___clone" title="__clone ::Implement PHP __clone to create a deep clone, not just a shallow copy.">
            <span class="description">Implement PHP __clone to create a deep clone, not just a shallow copy.</span><pre>__clone</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new Shadow.">
            <span class="description">Create a new Shadow.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getAlignment" title="getAlignment ::Get Shadow alignment.">
            <span class="description">Get Shadow alignment.</span><pre>getAlignment</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getAlpha" title="getAlpha ::Get Alpha.">
            <span class="description">Get Alpha.</span><pre>getAlpha</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getBlurRadius" title="getBlurRadius ::Get Blur radius.">
            <span class="description">Get Blur radius.</span><pre>getBlurRadius</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getColor" title="getColor ::Get Color.">
            <span class="description">Get Color.</span><pre>getColor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getDirection" title="getDirection ::Get Shadow direction (in degrees).">
            <span class="description">Get Shadow direction (in degrees).</span><pre>getDirection</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getDistance" title="getDistance ::Get Shadow distance.">
            <span class="description">Get Shadow distance.</span><pre>getDistance</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHashCode" title="getHashCode ::Get hash code.">
            <span class="description">Get hash code.</span><pre>getHashCode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getVisible" title="getVisible ::Get Visible.">
            <span class="description">Get Visible.</span><pre>getVisible</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setAlignment" title="setAlignment ::Set Shadow alignment.">
            <span class="description">Set Shadow alignment.</span><pre>setAlignment</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setAlpha" title="setAlpha ::Set Alpha.">
            <span class="description">Set Alpha.</span><pre>setAlpha</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setBlurRadius" title="setBlurRadius ::Set Blur radius.">
            <span class="description">Set Blur radius.</span><pre>setBlurRadius</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setColor" title="setColor ::Set Color.">
            <span class="description">Set Color.</span><pre>setColor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setDirection" title="setDirection ::Set Shadow direction (in degrees).">
            <span class="description">Set Shadow direction (in degrees).</span><pre>setDirection</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setDistance" title="setDistance ::Set Shadow distance.">
            <span class="description">Set Shadow distance.</span><pre>setDistance</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setVisible" title="setVisible ::Set Visible.">
            <span class="description">Set Visible.</span><pre>setVisible</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_SHADOW_BOTTOM" title="SHADOW_BOTTOM ::">
                        <span class="description"></span><pre>SHADOW_BOTTOM</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SHADOW_BOTTOM_LEFT" title="SHADOW_BOTTOM_LEFT ::">
                        <span class="description"></span><pre>SHADOW_BOTTOM_LEFT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SHADOW_BOTTOM_RIGHT" title="SHADOW_BOTTOM_RIGHT ::">
                        <span class="description"></span><pre>SHADOW_BOTTOM_RIGHT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SHADOW_CENTER" title="SHADOW_CENTER ::">
                        <span class="description"></span><pre>SHADOW_CENTER</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SHADOW_LEFT" title="SHADOW_LEFT ::">
                        <span class="description"></span><pre>SHADOW_LEFT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SHADOW_TOP" title="SHADOW_TOP ::">
                        <span class="description"></span><pre>SHADOW_TOP</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SHADOW_TOP_LEFT" title="SHADOW_TOP_LEFT ::">
                        <span class="description"></span><pre>SHADOW_TOP_LEFT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SHADOW_TOP_RIGHT" title="SHADOW_TOP_RIGHT ::">
                        <span class="description"></span><pre>SHADOW_TOP_RIGHT</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Shadow</h1>
                <small style="display: block; text-align: right">                        Implements<a href="../classes/PhpOffice.PhpSpreadsheet.IComparable.html">\PhpOffice\PhpSpreadsheet\IComparable</a>                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___clone"></a>
                        <div class="element clickable methodpublic method___clone" data-toggle="collapse" data-target=".method___clone .collapse">
                            <h2>Implement PHP __clone to create a deep clone, not just a shallow copy.</h2>
                            <pre>__clone()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new Shadow.</h2>
                            <pre>__construct()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getAlignment"></a>
                        <div class="element clickable methodpublic method_getAlignment" data-toggle="collapse" data-target=".method_getAlignment .collapse">
                            <h2>Get Shadow alignment.</h2>
                            <pre>getAlignment(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getAlpha"></a>
                        <div class="element clickable methodpublic method_getAlpha" data-toggle="collapse" data-target=".method_getAlpha .collapse">
                            <h2>Get Alpha.</h2>
                            <pre>getAlpha(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getBlurRadius"></a>
                        <div class="element clickable methodpublic method_getBlurRadius" data-toggle="collapse" data-target=".method_getBlurRadius .collapse">
                            <h2>Get Blur radius.</h2>
                            <pre>getBlurRadius(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getColor"></a>
                        <div class="element clickable methodpublic method_getColor" data-toggle="collapse" data-target=".method_getColor .collapse">
                            <h2>Get Color.</h2>
                            <pre>getColor(): \PhpOffice\PhpSpreadsheet\Style\Color</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Color.html">\PhpOffice\PhpSpreadsheet\Style\Color</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDirection"></a>
                        <div class="element clickable methodpublic method_getDirection" data-toggle="collapse" data-target=".method_getDirection .collapse">
                            <h2>Get Shadow direction (in degrees).</h2>
                            <pre>getDirection(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDistance"></a>
                        <div class="element clickable methodpublic method_getDistance" data-toggle="collapse" data-target=".method_getDistance .collapse">
                            <h2>Get Shadow distance.</h2>
                            <pre>getDistance(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHashCode"></a>
                        <div class="element clickable methodpublic method_getHashCode" data-toggle="collapse" data-target=".method_getHashCode .collapse">
                            <h2>Get hash code.</h2>
                            <pre>getHashCode(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>Hash code</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getVisible"></a>
                        <div class="element clickable methodpublic method_getVisible" data-toggle="collapse" data-target=".method_getVisible .collapse">
                            <h2>Get Visible.</h2>
                            <pre>getVisible(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setAlignment"></a>
                        <div class="element clickable methodpublic method_setAlignment" data-toggle="collapse" data-target=".method_setAlignment .collapse">
                            <h2>Set Shadow alignment.</h2>
                            <pre>setAlignment(integer $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Drawing.Shadow.html">\PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setAlpha"></a>
                        <div class="element clickable methodpublic method_setAlpha" data-toggle="collapse" data-target=".method_setAlpha .collapse">
                            <h2>Set Alpha.</h2>
                            <pre>setAlpha(integer $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Drawing.Shadow.html">\PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setBlurRadius"></a>
                        <div class="element clickable methodpublic method_setBlurRadius" data-toggle="collapse" data-target=".method_setBlurRadius .collapse">
                            <h2>Set Blur radius.</h2>
                            <pre>setBlurRadius(integer $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Drawing.Shadow.html">\PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setColor"></a>
                        <div class="element clickable methodpublic method_setColor" data-toggle="collapse" data-target=".method_setColor .collapse">
                            <h2>Set Color.</h2>
                            <pre>setColor(\PhpOffice\PhpSpreadsheet\Style\Color $pValue = null): \PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Color.html">\PhpOffice\PhpSpreadsheet\Style\Color</a></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Drawing.Shadow.html">\PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setDirection"></a>
                        <div class="element clickable methodpublic method_setDirection" data-toggle="collapse" data-target=".method_setDirection .collapse">
                            <h2>Set Shadow direction (in degrees).</h2>
                            <pre>setDirection(integer $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Drawing.Shadow.html">\PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setDistance"></a>
                        <div class="element clickable methodpublic method_setDistance" data-toggle="collapse" data-target=".method_setDistance .collapse">
                            <h2>Set Shadow distance.</h2>
                            <pre>setDistance(integer $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Drawing.Shadow.html">\PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setVisible"></a>
                        <div class="element clickable methodpublic method_setVisible" data-toggle="collapse" data-target=".method_setVisible .collapse">
                            <h2>Set Visible.</h2>
                            <pre>setVisible(boolean $pValue): \PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Drawing.Shadow.html">\PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_SHADOW_BOTTOM"> </a>
                            <div class="element clickable constant constant_SHADOW_BOTTOM" data-toggle="collapse" data-target=".constant_SHADOW_BOTTOM .collapse">
                                <h2>SHADOW_BOTTOM</h2>
                                <pre>SHADOW_BOTTOM</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SHADOW_BOTTOM_LEFT"> </a>
                            <div class="element clickable constant constant_SHADOW_BOTTOM_LEFT" data-toggle="collapse" data-target=".constant_SHADOW_BOTTOM_LEFT .collapse">
                                <h2>SHADOW_BOTTOM_LEFT</h2>
                                <pre>SHADOW_BOTTOM_LEFT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SHADOW_BOTTOM_RIGHT"> </a>
                            <div class="element clickable constant constant_SHADOW_BOTTOM_RIGHT" data-toggle="collapse" data-target=".constant_SHADOW_BOTTOM_RIGHT .collapse">
                                <h2>SHADOW_BOTTOM_RIGHT</h2>
                                <pre>SHADOW_BOTTOM_RIGHT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SHADOW_CENTER"> </a>
                            <div class="element clickable constant constant_SHADOW_CENTER" data-toggle="collapse" data-target=".constant_SHADOW_CENTER .collapse">
                                <h2>SHADOW_CENTER</h2>
                                <pre>SHADOW_CENTER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SHADOW_LEFT"> </a>
                            <div class="element clickable constant constant_SHADOW_LEFT" data-toggle="collapse" data-target=".constant_SHADOW_LEFT .collapse">
                                <h2>SHADOW_LEFT</h2>
                                <pre>SHADOW_LEFT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SHADOW_TOP"> </a>
                            <div class="element clickable constant constant_SHADOW_TOP" data-toggle="collapse" data-target=".constant_SHADOW_TOP .collapse">
                                <h2>SHADOW_TOP</h2>
                                <pre>SHADOW_TOP</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SHADOW_TOP_LEFT"> </a>
                            <div class="element clickable constant constant_SHADOW_TOP_LEFT" data-toggle="collapse" data-target=".constant_SHADOW_TOP_LEFT .collapse">
                                <h2>SHADOW_TOP_LEFT</h2>
                                <pre>SHADOW_TOP_LEFT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SHADOW_TOP_RIGHT"> </a>
                            <div class="element clickable constant constant_SHADOW_TOP_RIGHT" data-toggle="collapse" data-target=".constant_SHADOW_TOP_RIGHT .collapse">
                                <h2>SHADOW_TOP_RIGHT</h2>
                                <pre>SHADOW_TOP_RIGHT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_visible"> </a>
                            <div class="element clickable propertyprivate property_visible" data-toggle="collapse" data-target=".property_visible .collapse">
                                <h2>Visible.</h2>
                                <pre>visible :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_blurRadius"> </a>
                            <div class="element clickable propertyprivate property_blurRadius" data-toggle="collapse" data-target=".property_blurRadius .collapse">
                                <h2>Blur radius.</h2>
                                <pre>blurRadius :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"><p>Defaults to 6</p></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_distance"> </a>
                            <div class="element clickable propertyprivate property_distance" data-toggle="collapse" data-target=".property_distance .collapse">
                                <h2>Shadow distance.</h2>
                                <pre>distance :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"><p>Defaults to 2</p></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_direction"> </a>
                            <div class="element clickable propertyprivate property_direction" data-toggle="collapse" data-target=".property_direction .collapse">
                                <h2>Shadow direction (in degrees).</h2>
                                <pre>direction :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_alignment"> </a>
                            <div class="element clickable propertyprivate property_alignment" data-toggle="collapse" data-target=".property_alignment .collapse">
                                <h2>Shadow alignment.</h2>
                                <pre>alignment :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_color"> </a>
                            <div class="element clickable propertyprivate property_color" data-toggle="collapse" data-target=".property_color .collapse">
                                <h2>Color.</h2>
                                <pre>color :\PhpOffice\PhpSpreadsheet\Style\Color</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Color.html">\PhpOffice\PhpSpreadsheet\Style\Color</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_alpha"> </a>
                            <div class="element clickable propertyprivate property_alpha" data-toggle="collapse" data-target=".property_alpha .collapse">
                                <h2>Alpha.</h2>
                                <pre>alpha :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Worksheet\Drawing\Shadow"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Worksheet.Drawing.html">Drawing</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Worksheet.Drawing.Shadow.html">Shadow</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:51 +0000.<br/>
    </footer></body>
</html>
